curl --request GET \
--url https://api.chainstack.com/v1/faucet/transactions-history \
--header 'Authorization: Bearer <token>'[
{
"protocol": "<string>",
"network": "<string>",
"amount": {
"$numberDecimal": "<string>"
},
"address": "<string>",
"userId": "<string>",
"organizationId": "<string>",
"transactionHash": "<string>",
"timestamp": 123
}
]Retrieves the transaction history for a specified organization ID.
curl --request GET \
--url https://api.chainstack.com/v1/faucet/transactions-history \
--header 'Authorization: Bearer <token>'[
{
"protocol": "<string>",
"network": "<string>",
"amount": {
"$numberDecimal": "<string>"
},
"address": "<string>",
"userId": "<string>",
"organizationId": "<string>",
"transactionHash": "<string>",
"timestamp": 123
}
]The method retrieves the transaction history for all faucets. In theDocumentation Index
Fetch the complete documentation index at: https://chainstack-mintlify-flesh-empty-pages.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer field, you need to provide your Chainstack API key to authorize the call.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Transaction history retrieved successfully.
The protocol used for the transaction.
The network used for the transaction.
The amount sent in the transaction.
Show child attributes
The address to which the amount was sent.
User ID associated with the transaction.
Organization ID associated with the transaction.
Transaction hash, nullable if not available.
Timestamp of the transaction in milliseconds.
Was this page helpful?